Package org.apache.commons.beanutils.locale.converters

# Class DoubleLocaleConverter

java.lang.Object
org.apache.commons.beanutils.locale.BaseLocaleConverter
org.apache.commons.beanutils.locale.converters.DecimalLocaleConverter
org.apache.commons.beanutils.locale.converters.DoubleLocaleConverter

All Implemented Interfaces:
  `Converter`, `LocaleConverter`

public class DoubleLocaleConverter extends DecimalLocaleConverter

Standard `LocaleConverter` implementation that converts an incoming locale-sensitive String into a `java.lang.Double` object, optionally using a default value or throwing a `ConversionException` if a conversion error occurs.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.beanutils.locale.BaseLocaleConverter

  `locale, locPattern, pattern, useDefault`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoubleLocaleConverter()`
  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
  `DoubleLocaleConverter(boolean locPattern)`
  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
  `DoubleLocaleConverter(Object defaultValue)`
  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
  `DoubleLocaleConverter(Object defaultValue, boolean locPattern)`
  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
  `DoubleLocaleConverter(Object defaultValue, Locale locale)`
  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
  `DoubleLocaleConverter(Object defaultValue, Locale locale, boolean locPattern)`
  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
  `DoubleLocaleConverter(Object defaultValue, Locale locale, String pattern)`
  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
  `DoubleLocaleConverter(Object defaultValue, Locale locale, String pattern, boolean locPattern)`
  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
  `DoubleLocaleConverter(Locale locale)`
  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
  `DoubleLocaleConverter(Locale locale, boolean locPattern)`
  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
  `DoubleLocaleConverter(Locale locale, String pattern)`
  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
  `DoubleLocaleConverter(Locale locale, String pattern, boolean locPattern)`
  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object`
  `parse(Object value, String pattern)`
  Convert the specified locale-sensitive input object into an output object of the specified type.

  ### Methods inherited from class org.apache.commons.beanutils.locale.BaseLocaleConverter

  `convert, convert, convert, convert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DoubleLocaleConverter

    public DoubleLocaleConverter()
    Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine and an unlocalized pattern is used for the convertion.

  - ### DoubleLocaleConverter

    public DoubleLocaleConverter(boolean locPattern)
    Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine.
    Parameters:
      `locPattern` - Indicate whether the pattern is localized or not

  - ### DoubleLocaleConverter

    public DoubleLocaleConverter(Locale locale)
    Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. An unlocalized pattern is used for the convertion.
    Parameters:
      `locale` - The locale

  - ### DoubleLocaleConverter

    public DoubleLocaleConverter(Locale locale, boolean locPattern)
    Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
    Parameters:
      `locale` - The locale
      `locPattern` - Indicate whether the pattern is localized or not

  - ### DoubleLocaleConverter

    public DoubleLocaleConverter(Locale locale, String pattern)
    Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. An unlocalized pattern is used for the convertion.
    Parameters:
      `locale` - The locale
      `pattern` - The convertion pattern

  - ### DoubleLocaleConverter

    public DoubleLocaleConverter(Locale locale, String pattern, boolean locPattern)
    Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
    Parameters:
      `locale` - The locale
      `pattern` - The convertion pattern
      `locPattern` - Indicate whether the pattern is localized or not

  - ### DoubleLocaleConverter

    public DoubleLocaleConverter(Object defaultValue)
    Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine and an unlocalized pattern is used for the convertion.
    Parameters:
      `defaultValue` - The default value to be returned

  - ### DoubleLocaleConverter

    public DoubleLocaleConverter(Object defaultValue, boolean locPattern)
    Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine.
    Parameters:
      `defaultValue` - The default value to be returned
      `locPattern` - Indicate whether the pattern is localized or not

  - ### DoubleLocaleConverter

    public DoubleLocaleConverter(Object defaultValue, Locale locale)
    Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. An unlocalized pattern is used for the convertion.
    Parameters:
      `defaultValue` - The default value to be returned
      `locale` - The locale

  - ### DoubleLocaleConverter

    public DoubleLocaleConverter(Object defaultValue, Locale locale, boolean locPattern)
    Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
    Parameters:
      `defaultValue` - The default value to be returned
      `locale` - The locale
      `locPattern` - Indicate whether the pattern is localized or not

  - ### DoubleLocaleConverter

    public DoubleLocaleConverter(Object defaultValue, Locale locale, String pattern)
    Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. An unlocalized pattern is used for the convertion.
    Parameters:
      `defaultValue` - The default value to be returned
      `locale` - The locale
      `pattern` - The convertion pattern

  - ### DoubleLocaleConverter

    public DoubleLocaleConverter(Object defaultValue, Locale locale, String pattern, boolean locPattern)
    Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
    Parameters:
      `defaultValue` - The default value to be returned
      `locale` - The locale
      `pattern` - The convertion pattern
      `locPattern` - Indicate whether the pattern is localized or not

- ## Method Details

  - ### parse

    protected Object parse(Object value, String pattern) throws ParseException
    Convert the specified locale-sensitive input object into an output object of the specified type. This method will return Double type.
    Overrides:
      `parse` in class `DecimalLocaleConverter`
    Parameters:
      `value` - The input object to be converted
      `pattern` - The pattern is used for the convertion
    Returns:
      The converted value
    Throws:
      `ConversionException` - if conversion cannot be performed successfully
      `ParseException` - if an error occurs parsing a String to a Number